.featured-block:first-child {
    padding-top: calc(187 * var(--size));
}

.featured-block .block-upper-content {
    margin-bottom: calc(150 * var(--size));
}

.featured-block.centered .block-upper-content {
    margin-bottom: calc(84 * var(--size));
}

.featured-block.ammenities .block-upper-content {
    margin-bottom: var(--gap);
}

.featured-block.logos .block-upper-content,
.featured-block .block-upper-content.no-image {
    margin-bottom: calc(320 * var(--size));
}

.featured-block .block-lower-content {
    display: flex;
    justify-content: space-between;
    align-items: flex-end;
    gap: var(--gap);
}

.featured-block.centered .block-lower-content {
    flex-direction: column-reverse;
    align-items: center;
    gap: calc(84 * var(--size));
}

.featured-block .block-media {
    width: 100%;
    max-width: calc(467 * var(--size));
}

.featured-block .block-media.small {
    max-width: calc(338 * var(--size));
}

.featured-block .block-media.block-logos {
    display: flex;
    flex-wrap: wrap;
    justify-content: flex-end;
    gap: var(--gap) calc(48 * var(--size));
}

.featured-block .block-media.block-logos .logo {
    height: calc(90 * var(--size));
    max-width: calc(90 * var(--size));
    width: auto;
}

.featured-block .block-media.block-logos .logo img {
    width: 100%;
    height: 100%;
    object-fit: contain;
    display: block;
}

.featured-block .block-text {
    display: flex;
    flex-direction: column;
    width: 100%;
    max-width: calc(704 * var(--size));
}

.featured-block.centered .block-text {
    max-width: 100%;
}

.featured-block .block-upper-content .block-text-false {
    display: flex;
    flex-direction: column;
    width: 100%;
}

.featured-block.featured .block-upper-content .block-text-false {
    font-size: var(--font-size-4);
    line-height: var(--line-height-4);
    font-family: var(--font-title-family);
}

.featured-block.rooms .block-upper-content .block-text-false {
    max-width: calc(704 * var(--size));
}

.featured-block .block-upper-content.no-image .block-text-false {
    display: flex;
    flex-direction: column;
    max-width: calc(704 * var(--size));
}

.featured-block .block-text p a {
    position: relative;
}

.featured-block .block-text p a:after {
    content: "";
    display: block;
    width: 100%;
    height: 1px;
    position: absolute;
    bottom: calc(1 * var(--size));
    left: 0;
    background-color: #8a817c;
}

.featured-block .block-text p strong a:after {
    background-color: var(--brand);
}

.featured-block .block-text .button {
    width: 100%;
}

.featured-block .block-text-false .button {
    width: 100%;
    max-width: calc(704 * var(--size));
}

body.touchDevice .cta-box .block-media:after {
    content: "";
    position: absolute;
    left: 50%;
    top: 50%;
    -webkit-transform: translate3d(-50%, -50%, 0);
    transform: translate3d(-50%, -50%, 0);
    width: calc(40 * var(--size));
    height: calc(40 * var(--size));
    background: url(../../images/cursor-link.svg);
    background-size: contain;
    background-position: center;
    background-repeat: no-repeat;
}

/* RESPONSIVE */
@media only screen and (max-width: 768px) {
    .featured-block:first-child {
        padding-top: calc(125 * var(--size));
    }

    .featured-block .block-upper-content,
    .featured-block.ammenities .block-upper-content {
        margin-bottom: calc(90 * var(--size));
    }

    .featured-block.logos .block-upper-content {
        margin-bottom: calc(168 * var(--size));
    }

    .featured-block .block-upper-content.no-image {
        margin-bottom: calc(220 * var(--size));
    }

    .featured-block .block-lower-content {
        flex-direction: column-reverse;
        align-items: flex-end;
        gap: calc(90 * var(--size));
    }

    .featured-block.logos .block-lower-content {
        gap: calc(189 * var(--size));
    }

    .featured-block .block-media {
        max-width: calc(260 * var(--size));
    }

    .featured-block .block-media.small {
        max-width: calc(180 * var(--size));
    }

    .featured-block.centered .block-media,
    .featured-block.centered .block-media.small {
        max-width: calc(167 * var(--size));
    }

    .featured-block .block-media.block-logos {
        max-width: calc(290 * var(--size));
        gap: calc(25 * var(--size));
    }

    .featured-block .block-media.block-logos .logo {
        height: calc(59 * var(--size));
        max-width: calc(59 * var(--size));
    }
}
